Topic: ODBC

Hello,
i have question regarting the odbc connection to  db2?
my system is:
Fedora 7 Linux
Ruby  1.8.4
installed gems:
activerecord
activesupport
dbi
deprecated
.......
is it right that should install also the driver of db2 and must i install more requirements ?
THX in advance

Re: ODBC

I'm a little confused as to why you'd bother with ODBC ,  unless you're developing on Windows and Deploying of Fedora?

Joe got a job, on the day shift, at the Utility Muffin Research Kitchen, arrogantly twisting the sterile canvas snout of a fully charged icing anointment utensil.

Re: ODBC

Hello Brad,

i only developing on Fedora, we must change the database from mySql to MAXDB(SAP) sorry not DB2 but
i have no idee how i can do this changes :-(

Re: ODBC

Ewew!!!   SAP,  not fun

First thing to determine is what is the database underpinning the SAP install,  typically either Oracle or DB2, but if it's old,  it could be something else old,  Sybase ???? 

You'd probably have to bypass the MAXDB layer,  go directly to the underlying database.

If it WERE a Sybase database by chance,  then MAYBE you could get at it with ODBC and the activerecord_sqlserver_adapter,  (freeTDS protocol version 4).


SAP is a tough one,  the actual database is so abstracted and 'hidden'

You may want to read up here:

http://raa.ruby-lang.org/project/saprfc

Joe got a job, on the day shift, at the Utility Muffin Research Kitchen, arrogantly twisting the sterile canvas snout of a fully charged icing anointment utensil.

Re: ODBC

Hello Brad,

thx for your reply, i have more then 1 option:
1 Option: MADDB(SAP
2 Option: DB2
i will try first option 2 and i read some information about the connection, for example the
Starter Toolkit version 2.1 for DB2 on Rails what do you think about that or rather exist other
possibility?

rgs
stockie